### Method

# FwupdPlugin Device get_update_message

since: 2.0.0

#### Declaration [src]

    const gchar*
    fu_device_get_update_message (
      FuDevice* self
    )

#### Description [src]

Gets the update message string.

Available since: 2.0.0

Gets property | `FwupdPlugin.Device:update-message`

#### Return value

Type: `const gchar*`

The update message string, or `NULL` if unset.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.